export function toJsonSchema(value: any, options: any): object;
export default ToJsonSchema;
declare class ToJsonSchema {
    constructor(options: any);
    options: any;
    getObjectSchemaDefault(obj: any): {
        type: string;
    };
    getStringSchemaDefault(value: any): {
        type: string;
    };
    objectPostProcessDefault(schema: any, obj: any): any;
    commmonPostProcessDefault(type: any, schema: any): any;
    /**
     * Tries to find the least common schema that would validate all items in the array. More details
     * helpers.mergeSchemaObjs description
     * @param {array} arr
     * @returns {object|null}
     */
    getCommonArrayItemSchema(arr: array): object | null;
    getObjectSchema(obj: any): any;
    getArraySchemaMerging(arr: any): {
        type: string;
    };
    getArraySchemaNoMerging(arr: any): {
        type: string;
    };
    getArraySchemaTuple(arr: any): {
        type: string;
    };
    getArraySchemaUniform(arr: any): {
        type: string;
    };
    getArraySchema(arr: any): {
        type: string;
    };
    getStringSchema(value: any): any;
    /**
     * Gets JSON schema for provided value
     * @param value
     * @returns {object}
     */
    getSchema(value: any): object;
}
